4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.ContainerImp

Container repository resource class.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ContainerImp |  |  |  | Fields: FTSERVER_NAMESPACE, RDF_MS_BASE, SET_TIME_TO_LIVE_XUPDATE, UPDATE_TIME_TO_LIVE_XUPDATE, XLINK_NAMESPACE, XSL_NAMESPACE

## Classes

class ContainerImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp, Ft.Server.Server.Drivers.FtssDriver.DataStoreContainer)
A repository container

### Methods

__contains__ = has_key(self, key)
User Dict interface
__getitem__(self, i)
Implements list access for containers and repositories
__getslice__(self, i, j)
Implements list slice access for containers and repositories
__init__(self, path, driver, cache)
__len__(self)
Overides the length operator
createDocument(self, path, src, docDef=None, imt='text/xml', forcedType=None)
Creates a document with the given document definition name, path, type, and source. if the type is not specified it will attempt to infer the type based on IMT and the src. If path is an empty string, then a UUID will be generated for the XML, XSLT, and Schematron documents. If the document definition specifies a full text index, then the content is indexed
createGroup(self, name, docDef=None)
Creates a new group. You need write access to the system group container
createRawFile(self, path, imt, src)
Creates a raw file resource, using the specified, path, internet media type, and source string.
createUriReferenceFile(self, path, imt, srcUri)
Create an URI Reference file. An URI Reference file is a reference to a URI
createUser(self, name, passHash, docDef=None)
Create a new user. You must have write access to te system group container
createXPathDocumentDefinition(self, path, nss, maps, cp, docDef=None)
createXsltDocumentDefinition(self, path, xsltSrc, cp, docDef=None)
Create an XSLT document definition from pieces
deleteResource(self, path, traverseAliases=None)
Delete any resource from the system.
get(self, key, failobj=None)
User Dict interface
getBasePath(self)
Get the path of this object as a base path
getContent(self)
Overidden to do return XML serialization of datastore container
has_key(self, key)
User Dict interface
index(self, item)
User List interfaces
items(self)
User Dict interface
iteritems(self)
User Dict interface
iterkeys(self)
User Dict interface
itervalues(self)
User Dict interface
keys(self)
User Dict interface
setContent(self, src)
Raises NOT_SUPPORTED
setPathTemporary(self, path, timeToLive)
Marks the specified repository object as temporary
values(self)
User Dict interface

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Server.Drivers.FtssDriver.DataStoreContainer

childReferenceXML, createContainer, deleteContainer

### Fields

resourceType = 1

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
SET_TIME_TO_LIVE_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...oLive></xupdate:append>\n</xupdate:modifications>\n'
UPDATE_TIME_TO_LIVE_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...ve">%s</xupdate:update>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'